@echo off
title 一键启动工具 by shiroka.top
set "exePath=%USERPROFILE%\Desktop\原神.lnk"
set "exeName=原神.lnk"
set "dm=3DMigoto Loader.exe"

if exist "%exePath%" (
echo 正在打开3dm..
start "" "%dm%"
    echo 延迟打开原神
@ping -n 3 127.1>nul
    start "" "%exePath%"

	
echo 已完成
echo  欢迎加群 864540602@ping -n 3 127.1>nul
@ping -n 3 127.1>nul
) else (
    
	if exist "%exeName%" (
echo 正在打开3dm..
start "" "%dm%"
echo 延迟打开原神
@ping -n 3 127.1>nul
    start "" "%exeName%"
	
echo 已完成
echo  欢迎加群 864540602
@ping -n 3 127.1>nul
@ping -n 3 127.1>nul
	) else (
   echo 未找到原神快捷方式，请将yuanshen.exe创建快捷方式，重命名为“原神”并放在桌面或此目录
echo 欢迎加群 864540602
	)
)
echo 自动关闭
@ping -n 3 127.1>nul
@ping -n 3 127.1>nul
@ping -n 3 127.1>nul
@ping -n 3 127.1>nul
@ping -n 3 127.1>nul
@ping -n 3 127.1>nul
@ping -n 3 127.1>nul
@ping -n 3 127.1>nul
@ping -n 3 127.1>nul
exit